[Frugalware-darcs] frugalware-current: t/bigfiles: new test

VMiklos vmiklos at frugalware.org
Mon Jun 4 02:08:03 CEST 2007


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=frugalware-current;a=darcs_commitdiff;h=20070604000628-e2957-f721e73c8f6343846bb55ae9afe8d38bdc6f13d0.gz;

[t/bigfiles: new test
VMiklos <vmiklos at frugalware.org>**20070604000628] {
addfile ./t/bigfiles
hunk ./t/bigfiles 1
+#!/bin/bash
+
+. /usr/lib/frugalware/fwmakepkg
+
+if [ "$1" == "--help" ]; then
+	echo "files bigger than 100KB"
+	exit 1
+fi
+
+cd ..
+
+for i in `find _darcs/current -type f`
+do
+	if [ `stat -c "%s" $i` -gt 100000 ]; then
+		echo $i|sed 's|_darcs/current/||'
+	fi
+done
}


More information about the Frugalware-darcs mailing list